RDS-DESCRIBE-ORDERABLE-DB-INSTANCE-OPTIONS(1)

NAME
rds-describe-orderable-db-instance-options - List information available orderable database instance options

SYNOPSIS

 rds-describe-orderable-db-instance-options
     --engine value [--db-instance-class value ] [--engine-version value ]
    [--license-model value ] [--marker value ] [--max-records value ]
    [--vpc value ] [General Options]

DESCRIPTION

    Returns information about the available orderable database instance options.
 The --engine argument is required. If one or more of the --engine-version,
 --db-instance-class, --license-model, or --vpc arguments are specified,
 rds-describe-orderable-db-instance-options will return only those options
 with the specified values for the specified fields. The results are returned
 up to a maximum of --max-records.

SPECIFIC OPTIONS

 -c, --db-instance-class VALUE
    The database instance class.

 -e, --engine VALUE
    The name of the database engine. Required.

 -lm, --license-model VALUE
    The license model of the database engine.

 -v, --engine-version VALUE
    The database engine version.

 --vpc VALUE
    If specified, filters by VPC or non-VPC orderable database instance
    options.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --marker VALUE
    The marker provided in the previous request. If this parameter is
    specified the response includes only records beyond the marker, up to
    MaxRecords.

 --max-records VALUE
    Maximum number of records to return per page.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 To describe all available Orderable Database Instance Options for MySQL:

 $PROMPT>rds-describe-orderable-db-instance-options --engine mysql

 To describe all available Orderable Database Instance Options for MySQL
 5.1.50:

 $PROMPT>rds-describe-orderable-db-instance-options --engine mysql --engine-version 5.1.50

 To describe only VPC Orderable Database Instance Options for MySQL 5.1.50:

 $PROMPT>rds-describe-orderable-db-instance-options --engine mysql --engine-version 5.1.50 --vpc true

OUTPUT

 This command returns a table that contains the following:
 * Engine - Database Engine Name.
 * Version - Database Engine Version.
 * Class - Instance Class.
 * License - License Model.
 * Multi-AZ - Configuration is Multi-AZ capable.
 * ReadReplica - Configuration is Read Replica capable.
 * Vpc - Configuration is VPC offering.
 * Name - Name of the Availability Zone.
 * Iops - Support provisioned storage I/O operations per second.

OUTPUT EXAMPLES

 Output with column headers

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference